Subject: Re: U-Boot and kernel 2.6

From: Pantelis Antoniou <[email-masked]>
Date: Fri, 11 Jun 2004 16:23:21 +0300

Wolfgang Denk wrote:

>In message <[email-masked]> you wrote:
>
>[David Woodhouse:]
>
>
>>>We really need to throw this crap away and start using structured tags
>>>like ARM does.
>>>
>
>Right (or bi_rec's or whatever this might end up being called).
>
>
>>Or we can parse the u-boot environment which is ascii.
>>I already do this...
>>
>
>No, this is IMHO not a good idea. Some of the information that  needs
>to  be  passed to the kernel is not contained in the envrionment, and
>does not belong there.
>
I'm just talking about augmenting the information provided by bd_t.

And it's not just things that the kernel needs, it can be used to
pass information to the user-space applications.

Reading the environment from flash is not correct because the
variables might be modified by the boot sequence but not commited.

When I get some breathing time, I'll sent you the patch.

>Best regards,
>Wolfgang Denk
Regards

Pantelis

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/